Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkReflectionFilter Class Reference

`#include <vtkReflectionFilter.h>`

Inheritance diagram for vtkReflectionFilter:

[legend]
Collaboration diagram for vtkReflectionFilter:

[legend]
List of all members.

## Detailed Description

reflects a data set across a plane

Date:
  2002/07/03 20:17:11

Revision:
  1.2

The vtkReflectionFilter reflects a data set across one of the planes formed by the data set's bounding box. Since it converts data sets into unstructured grids, it is not effeicient for structured data sets.

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (78%)
  - Law, Charles (18%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkReflectionFilter.h)`
  - .`cxx` (`/Graphics/vtkReflectionFilter.cxx)`

Tests:
  vtkReflectionFilter (Tests)

Definition at line 54 of file vtkReflectionFilter.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPlane (int)
virtual int | GetPlane ()
void | SetPlaneToXMin ()
void | SetPlaneToYMin ()
void | SetPlaneToZMin ()
void | SetPlaneToXMax ()
void | SetPlaneToYMax ()
void | SetPlaneToZMax ()
## Static Public Methods
vtkReflectionFilter * | New ()
int | IsTypeOf (const char *type)
vtkReflectionFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkReflectionFilter ()
| ~vtkReflectionFilter ()
void | Execute ()
## Protected Attributes
int | Plane

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkReflectionFilter::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 59 of file vtkReflectionFilter.h.

## Constructor & Destructor Documentation

vtkReflectionFilter::vtkReflectionFilter | ( |  | ) | `[protected]`

vtkReflectionFilter::~vtkReflectionFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkReflectionFilter* vtkReflectionFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkReflectionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkReflectionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkReflectionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkReflectionFilter* vtkReflectionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkReflectionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual void vtkReflectionFilter::SetPlane | ( | int |  | ) | `[virtual]`

virtual int vtkReflectionFilter::GetPlane | ( |  | ) | `[virtual]`

void vtkReflectionFilter::SetPlaneToXMin | ( |  | ) | `[inline]`

| Definition at line 64 of file vtkReflectionFilter.h. References VTK_USE_X_MIN.

void vtkReflectionFilter::SetPlaneToYMin | ( |  | ) | `[inline]`

| Definition at line 65 of file vtkReflectionFilter.h. References VTK_USE_Y_MIN.

void vtkReflectionFilter::SetPlaneToZMin | ( |  | ) | `[inline]`

| Definition at line 66 of file vtkReflectionFilter.h. References VTK_USE_Z_MIN.

void vtkReflectionFilter::SetPlaneToXMax | ( |  | ) | `[inline]`

| Definition at line 67 of file vtkReflectionFilter.h. References VTK_USE_X_MAX.

void vtkReflectionFilter::SetPlaneToYMax | ( |  | ) | `[inline]`

| Definition at line 68 of file vtkReflectionFilter.h. References VTK_USE_Y_MAX.

void vtkReflectionFilter::SetPlaneToZMax | ( |  | ) | `[inline]`

| Definition at line 69 of file vtkReflectionFilter.h. References VTK_USE_Z_MAX.

void vtkReflectionFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkReflectionFilter::Plane`[protected]`

| Definition at line 77 of file vtkReflectionFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkReflectionFilter.h